commit: bcbd76e35bf704b2b7acfda46e6bbc701953f359
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 31 18:23:16 2024 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 31 18:46:53 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bcbd76e3
dev-python/python-redmine: add 2.5.0
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/python-redmine/Manifest | 1 +
.../python-redmine/python-redmine-2.5.0.ebuild | 36 ++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/python-redmine/Manifest
b/dev-python/python-redmine/Manifest
index e754b6d19e35..1b7da8ce29ba 100644
--- a/dev-python/python-redmine/Manifest
+++ b/dev-python/python-redmine/Manifest
@@ -1 +1,2 @@
DIST python-redmine-2.4.0.tar.gz 67730 BLAKE2B
22c74ad194af9b56affab39de38b13a8f5a46e79b8ea8d9f9f47eb12c4ad4c91156db9ef0e8dfd013602b8cc06e0636a724ae34969f385dc9f8ffc63514ccc63
SHA512
afb03ca8a3bdacace3c12b7295ba08953ab2040971b57988deb9955df24e5ac1782a9b3fbf0f5070eb22c640e88f489cda12cdec38449f9e3bcf7189dc422642
+DIST python-redmine-2.5.0.tar.gz 73643 BLAKE2B
aae400a68385fa98d454820081abacfabe69be473de8ee21feb47dfd8b3372cb0b8dfca168fc9daebd37da04a4fcca84235eb555262489dc1b717fd589dc849a
SHA512
8c610efe5e4362ab27a33a04e78347e2962b9e766cea81c725b5b34bdff1d2c6a2e68e5d928b5aed97af569f5c6656dc2b39347a76cb371a3069bba3fd02c8e2
diff --git a/dev-python/python-redmine/python-redmine-2.5.0.ebuild
b/dev-python/python-redmine/python-redmine-2.5.0.ebuild
new file mode 100644
index 000000000000..8219293367ea
--- /dev/null
+++ b/dev-python/python-redmine/python-redmine-2.5.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python interface to the Redmine REST API"
+HOMEPAGE="
+ https://github.com/maxtepkeev/python-redmine/
+ https://pypi.org/project/python-redmine/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.28.2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # https://github.com/maxtepkeev/python-redmine/pull/332
+ sed -i -e 's:assertEquals:assertEqual:' tests/*.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -o addopts=
+}